package fmon.world

import java.io._

import fmon.Config
import fmon.draw.tile._

class Tileset(val token: TilesetToken) {
  val groundTiles: IndexedSeq[AutoTile] = {
    val file = new File(token.a2)
    val palette = new AutoFloorTilePalette(file, Config.tileSize)
    for (y <- 0 until 4; x <- 0 until 8) yield {
      palette(x, y)
    }
  }
}

case class TileInfo(
    val doesPassNorth: Boolean,
    val doesPassEast: Boolean,
    val doesPassSouth: Boolean,
    val doesPassWest: Boolean,
    val isCounter: Boolean) {
  
}

case class TilesetToken(
    val name: String,
    val a1: String,
    val a2: String,
    val a3: String,
    val a4: String,
    val a5: String,
    val b: String,
    val c: String,
    val info: IndexedSeq[TileInfo]) {
  
  override def toString = name
}